Status: Closed   

Priority: Normal   

Category:    

Customer: ELEKTROBIT Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACO

RE-9215;

https://www.cip.audi.de/jira/browse/ASU

PTB-32;

https://www.cip.audi.de/jira/browse/ACO

RE-8825;

https://www.cip.audi.de/jira/browse/ACO

RE-9216;

https://www.cip.audi.de/jira/browse/ASU

PTB-42;

https://www.cip.audi.de/jira/browse/ACO

RE-9219

Department: SUPPORT Affected Products: ADTF 2.14.0, ADTF 3 Support Toolbox

3.0.0, ADTF 3.1.0

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 3rd Level Topic: ADTF::Common

Resolution: Product Issue Opened FAQ Links:  

Description

Supportanfrage

Hallo,

folgende Probleme mit der ADTF 3 Support Toolbox (version 3.0.0) mit ADTF 3.1.0 sind mir aufgefallen (Windows 7).

Current Behaviour

1.  Missing entry in version label of filters

2.  Misleading error message from adtf_guicontrol when selecting wrong launcher

3.  Initialization/Deinitialization from Gui Control fails (adtf 2.14. crashes). Stop/Run works, but no player available displayed.

4.  Suggested improvement: possibility to specify default launcher in session (& default control port would also be nice!!!)

Expected Behaviour

1.  Version label should be completed with version,

2.  error message should point to launcher selection

3.  Gui Control should support init/deinit without crash and allow player control

4.  If there is a launcher specified in the session file this one should be taken by default if nothing else is configured later, same for

port.

Instructions to reproduce the problem

1.  For version label: Add a filter of the ADTF 3 support toolbox to the configuration and inspect the properties.

2.  For error message launch example ADTF 2 session in the toolbox

("C:\ADTF\2.14.0_vc100\addons\adtf3-support-toolbox\src\examples\sessions\demo\adtf2\adtf2.adtfsession") from adtf_guicontrol

without changing the launcher to adtf2

3.  Launch the session from 2 with launcher adtf2 configured. Try init/deinit from ADTF Gui Control (crash). Then init from ADTF

control in ADTF 2.14 and try run/stop from ADTF Gui Control.

4.  By default always the adtf launcher is used and control port 8000.

Hier noch  noch Bilder für Punkt 1. & 2.
Best regards,

Jochen

Lösung

Produkttickets sind erstellt und verlinkt

History

#1 - 2017-10-19 11:49 - hidden

- Project changed from Public Support to 7

- Author changed from hidden to hidden

#2 - 2017-10-19 12:56 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::Common

- Support Level changed from 2nd Level to 3rd Level

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF 2.14.0, ADTF 3.1.0 added

- Platform Windows 7 64bit added

#3 - 2017-10-19 12:58 - hidden

- Affected Products ADTF 3 Support Toolbox 3.0.0 added

#4 - 2017-10-19 13:42 - hidden

- Status changed from In Progress to Customer Feedback Required

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9215; https://www.cip.audi.de/jira/browse/ASUPTB-32;

https://www.cip.audi.de/jira/browse/ACORE-8825; https://www.cip.audi.de/jira/browse/ACORE-9216

1) Kann ich nicht nachvollziehen... was fehlt ?

2) Dazu habe ich das Ticket ACORE-9215 angelegt

3) Hier sei angemerkt, dass dies nicht wirklich ein ADTF 3 Launcher / Session ist, mit dem (GUI) Control kann kein ADTF 2 bedient werden. Der

Launch stößt eigentlich nur den Wrapper Launcher an, der ADTF 2 startet. Dennoch darf es zu keinen Absturz kommen -> ACORE-9216

4) Dafür gibt es bereits Tickets. Für ADTF 3.x gibt es dazu ein Usability Ticket, dort soll der Default Launcher & Port konfigurierbar gemacht werden

(ACORE-8825). Für ADTF 2 soll der Default Port auch konfigurierbar gemacht werden (ASUPTB-32)

#5 - 2017-10-20 09:15 - hidden

Hi Florian,

zu 1. In der zweiten Zeile steht “Version –adtf2.14“. Wenn ihr das wie z.B. in der Displaytoolbox lösen wollt, sollte da vor dem –adtf2.14.0 nochmal die

Version der Support Toolbox stehen. D.h. dort sollte stehe

„Version 3.0.0-adtf2.14.0“

Zu 3) Ich dachte irgendwo gelesen zu haben, dass die Support Toolbox auch die entsprechenden Interfaces zur Verfügung stellt. Ahja, steht ganz zu

Beginn der Doku

General information

This toolbox enables ADTF 2 to communicate with ADTF 3 in the following ways:

Data exchange via various IPC mechanisms

Clock synchronization

RPC interfaces for controling ADTF2 instances.

Ist natürlich noch interpretationsbedürftig welche RPC interfaces, ich bin mal auch vom player control ausgegangen. Und es funktioniert ja auch

teilweise, wie beschrieben: Play & Stop funktionieren. Seid ihr Euch da noch nicht einig?

Zu 4) Meine Idee war ja das im Session File zu machen, ist das in den Tickets?
Gruss,

Jochen

#6 - 2017-10-20 09:28 - hidden

- Status changed from Customer Feedback Required to In Progress

#7 - 2017-10-20 10:10 - hidden

- Product Issue Numbers changed from https://www.cip.audi.de/jira/browse/ACORE-9215; https://www.cip.audi.de/jira/browse/ASUPTB-32;

https://www.cip.audi.de/jira/browse/ACORE-8825; https://www.cip.audi.de/jira/browse/ACORE-9216 to

https://www.cip.audi.de/jira/browse/ACORE-9215; https://www.cip.audi.de/jira/browse/ASUPTB-32; https://www.cip.audi.de/jira/browse/ACORE-8825;

https://www.cip.audi.de/jira/browse/ACORE-9216; https://www.cip.audi.de/jira/browse/ASUPTB-42

1) Nun kann ich dir folgen -> ASUPTB-42 angelegt

3) @Martin: Kannst du hierzu was sagen ?

4) Nein, nicht im Session File sondern adtf_control.adtfsettings, da gehört es hin. Alternativ kannst du (GUI)Control auch mit -url starten

#8 - 2017-10-30 08:38 - hidden

Hi,

zu 3.)

es werden im MOment nur ISystem, IClock und IRecorder über RPC unterstützt. IPlayer gibts noch nicht, @Flo kannst Du da ein Ticket erstellen

und/oder abwägen ob wir das brauchen?

Start/Stop funktioniert im Moment nur indirekt über das Ändern des Runlevels.

#9 - 2017-11-02 10:55 - hidden

- Status changed from In Progress to Customer Feedback Required

- Product Issue Numbers changed from https://www.cip.audi.de/jira/browse/ACORE-9215; https://www.cip.audi.de/jira/browse/ASUPTB-32;

https://www.cip.audi.de/jira/browse/ACORE-8825; https://www.cip.audi.de/jira/browse/ACORE-9216; https://www.cip.audi.de/jira/browse/ASUPTB-42

to https://www.cip.audi.de/jira/browse/ACORE-9215; https://www.cip.audi.de/jira/browse/ASUPTB-32;

https://www.cip.audi.de/jira/browse/ACORE-8825; https://www.cip.audi.de/jira/browse/ACORE-9216; https://www.cip.audi.de/jira/browse/ASUPTB-42;

https://www.cip.audi.de/jira/browse/ACORE-9219

Ticket ACORE-9219 für 3) erstellt, damit können wir das Supportticket abschließen, oder Jochen ?

#10 - 2017-11-06 10:47 - hidden

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Product Issue Opened

Anwender schrieb

Hallo Florian,

ja das Ticket kann geschlossen werden, allerdings ist das ein Bug-Ticket, kein Support-Ticket :-)

(war länger out-of-office deshalb erst jetzt Rückmeldung)

Grüße,

Jochen

 -> siehe #1346

#12 - 2017-11-06 14:11 - hidden

- Subject changed from ADTFS-47871 Bugs in der ADTF 3 Support Toolbox 3.0.0/ adtf_control to ADTFS-47871 Serveral bugs or unpexpected

behaviour of ADTF 3 Support Toolbox in combination with ADTF Control

- Description updated

- Status changed from To Be Closed to Closed

Ticket kann geschlossen werden.
@Jochen: Grundsätzlich ist jedes Ticket hier ein Supportticket. Während des Support Workflows muss festgestellt werden, ob es sich um einen

Supportfall handelt oder nicht. Das gilt auch bei Feature Requests oder Bugtickets, das werden dann aber neue Tickets im Produkt (Entwicklung) und

das Supportticket ist damit erledigt. Handelt es sich nicht um Support(Leistung), wie in diesem Fall, geht dieses Ticket natürlich nicht in Rechnung,

sondern dient der Dokumentation. Dazu wird dann die Zielversion von EB Support auf Bughunter / Improvement umgezogen und belastet damit nicht

euer Kontigent.

Nur zur Info...

#13 - 2018-01-25 12:02 - hidden

- Project changed from 7 to Public Support

- Private changed from Yes to No
